{
  "accUserMode" : 2,
  "caption" : "书",
  "codeName" : "bookDefaultDataView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookDefaultDataView.json",
  "mDCtrlActiveMode" : 2,
  "name" : "bookDefaultDataView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/common.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "DataView",
    "name" : "engine"
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "NEWDATA",
    "realTitle" : "书编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITDATA",
    "realTitle" : "书编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "DefaultDataViewtoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "数据视图_工具栏",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "caption" : "新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction1"
      },
      "getPSUIAction" : {
        "caption" : "建立数据",
        "codeName" : "CreateObject",
        "fullCodeName" : "CreateObject",
        "name" : "建立数据",
        "predefinedType" : "DATA_CREATEOBJECT",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "CreateObject",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "新建",
      "showCaption" : true,
      "showIcon" : true
    } ],
    "xDataControlName" : "dataview",
    "modelid" : "0B8D94FD-9DEA-410E-8219-400B03FAFC35",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "Usr0815581326",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSSEARCHFORMS/Usr0815581326.json",
    "logicName" : "数据视图_搜索表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormPages" : [ {
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "3353DD28-81DF-49F6-AF99-1C2EFEF8D3C3",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "cardColLG" : 6,
    "cardColMD" : 8,
    "cardColSM" : 12,
    "cardColXS" : 24,
    "cardHeight" : 300,
    "cardWidth" : 500,
    "codeName" : "Usr0815070416",
    "controlType" : "DATAVIEW",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSDATAVIEWS/Usr0815070416.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "groupMode" : "NONE",
    "getItemPSLayoutPanel" : {
      "getAllPSPanelFields" : [ {
        "id" : "field1",
        "viewFieldName" : "date"
      }, {
        "id" : "dataitem",
        "viewFieldName" : "dataitem"
      } ],
      "codeName" : "Usr0815611479",
      "controlType" : "PANEL",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSPANELS/Usr0815611479.json",
      "layoutMode" : "TABLE_24COL",
      "logicName" : "数据视图_卡片视图_卡片面板",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : { },
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getRootPSPanelItems" : [ {
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "page_container",
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSPanelItems" : [ {
          "contentType" : "RAW",
          "itemStyle" : "DEFAULT",
          "itemType" : "RAWITEM",
          "name" : "rawitem1",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "caption" : "测试直接内容1111",
            "contentType" : "RAW",
            "name" : "rawitem1"
          },
          "rawContent" : "测试直接内容1111"
        }, {
          "caption" : "文本",
          "contentType" : "RAW",
          "itemStyle" : "DEFAULT",
          "itemType" : "RAWITEM",
          "name" : "static_text1",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "caption" : "测试段落",
            "contentType" : "RAW",
            "name" : "static_text1",
            "predefinedType" : "STATIC_TEXT",
            "renderMode" : "PARAGRAPH"
          },
          "rawContent" : "测试段落",
          "showCaption" : true
        }, {
          "caption" : "文本",
          "contentType" : "RAW",
          "itemStyle" : "DEFAULT",
          "itemType" : "RAWITEM",
          "name" : "static_text2",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "caption" : "测试h1-----",
            "contentType" : "RAW",
            "name" : "static_text2",
            "predefinedType" : "STATIC_TEXT",
            "renderMode" : "HEADING1"
          },
          "rawContent" : "测试h1-----",
          "showCaption" : true
        }, {
          "caption" : "图片",
          "contentType" : "IMAGE",
          "itemStyle" : "DEFAULT",
          "itemType" : "RAWITEM",
          "name" : "static_image1",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "contentType" : "IMAGE",
            "name" : "static_image1",
            "getPSSysImage" : {
              "glyph" : "xf207@FontAwesome",
              "cssClass" : "fa fa-bus"
            },
            "predefinedType" : "STATIC_IMAGE"
          },
          "getPSSysImage" : {
            "glyph" : "xf207@FontAwesome",
            "cssClass" : "fa fa-bus"
          },
          "showCaption" : true
        }, {
          "caption" : "测试HTML",
          "contentType" : "HTML",
          "htmlContent" : "<p>&lt;div&gt;&lt;p&gt;测试html&lt;/p&gt;&lt;/div&gt;</p>",
          "itemStyle" : "DEFAULT",
          "itemType" : "RAWITEM",
          "name" : "static_text3",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "content" : "<p>&lt;div&gt;&lt;p&gt;测试html&lt;/p&gt;&lt;/div&gt;</p>",
            "contentType" : "HTML",
            "name" : "static_text3",
            "predefinedType" : "STATIC_TEXT"
          },
          "showCaption" : true
        }, {
          "caption" : "文本",
          "contentType" : "DIVIDER",
          "itemStyle" : "DEFAULT",
          "itemType" : "RAWITEM",
          "name" : "static_text4",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "contentType" : "DIVIDER",
            "name" : "static_text4",
            "predefinedType" : "STATIC_TEXT",
            "rawContent" : "文本内容"
          },
          "rawContent" : "文本内容",
          "showCaption" : true
        }, {
          "caption" : "date数据项",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "field1",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "field1",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "viewFieldName" : "date"
        }, {
          "caption" : "文本(动态)",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "dataitem",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "dataitem",
            "predefinedType" : "FIELD_TEXT_DYNAMIC",
            "renderMode" : "TEXT_DYNAMIC",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "viewFieldName" : "dataitem"
        } ]
      } ],
      "name" : "itemlayoutpanel",
      "modelid" : "8EC16BD9-F4E3-42C5-9944-D983E327DB2E",
      "modeltype" : "PSSYSVIEWPANEL"
    },
    "logicName" : "卡片（分组栅格）",
    "minorSortDir" : "ASC",
    "getMinorSortPSAppDEField" : {
      "name" : "BOOKNAME",
      "codeName" : "BookName"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据视图处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "DATAVIEW"
    },
    "getPSControls" : [ {
      "codeName" : "DefaultDataViewdataview_quicktoolbar",
      "controlType" : "TOOLBAR",
      "logicName" : "卡片锚点快速工具栏",
      "name" : "dataview_quicktoolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getPSControlParam" : {
        "id" : "dataview_quicktoolbar"
      },
      "getPSDEToolbarItems" : [ {
        "caption" : "新增服务",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "dataview_quicktoolbar_deuiaction1"
        },
        "getPSSysImage" : {
          "glyph" : "xf0f1@FontAwesome",
          "cssClass" : "fa fa-stethoscope"
        },
        "getPSUIAction" : {
          "actionTarget" : "NONE",
          "caption" : "卡片锚点快速具栏点击",
          "codeName" : "anchor_dataview_click",
          "frontProcessType" : "OTHER",
          "fullCodeName" : "Book_anchor_dataview_click",
          "name" : "卡片锚点快速具栏点击",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
          },
          "scriptCode" : "alert('点击了一下')",
          "uIActionMode" : "FRONT",
          "uIActionTag" : "anchor_dataview_click",
          "uIActionType" : "DEUIACTION",
          "id" : "anchor_dataview_click@Book"
        },
        "tooltip" : "新增服务",
        "uIActionTarget" : "NONE",
        "width" : 300.0,
        "showCaption" : true,
        "showIcon" : true
      } ],
      "modelid" : "B332D84D-845D-4775-89EA-954414224283",
      "modeltype" : "PSDETOOLBAR"
    } ],
    "getPSDEDataViewDataItems" : [ {
      "dataType" : 25,
      "name" : "fontcolor",
      "getPSAppDEField" : {
        "name" : "FIELD",
        "codeName" : "Field"
      }
    }, {
      "dataType" : 25,
      "name" : "activecolor",
      "getPSAppDEField" : {
        "name" : "FIELD4",
        "codeName" : "Field4"
      }
    }, {
      "dataType" : 25,
      "name" : "hovercolor",
      "getPSAppDEField" : {
        "name" : "FIELD3",
        "codeName" : "Field3"
      }
    }, {
      "dataType" : 25,
      "name" : "bgcolor",
      "getPSAppDEField" : {
        "name" : "FIELD2",
        "codeName" : "Field2"
      }
    }, {
      "dataType" : 25,
      "name" : "bookname",
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      }
    }, {
      "dataType" : 25,
      "name" : "phoneid",
      "getPSAppDEField" : {
        "name" : "PHONEID",
        "codeName" : "PhoneId"
      }
    }, {
      "dataType" : 25,
      "name" : "pbookid",
      "getPSAppDEField" : {
        "name" : "PBOOKID",
        "codeName" : "Pbookid"
      }
    } ],
    "getPSDEDataViewItems" : [ {
      "caption" : "书标识",
      "dataItemName" : "bookid",
      "itemType" : "ACTIONITEM",
      "name" : "BOOKID",
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      },
      "getPSDEUIActionGroup" : {
        "codeName" : "A183ed02abf5e2b3236",
        "name" : "卡片界面行为组",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSUIActionGroupDetails" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "detailType" : "DEUIACTION",
          "name" : "u1bdab6a",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "getPSUIAction" : {
            "actionTarget" : "MULTIKEY",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "codeName" : "Remove",
            "fullCodeName" : "Remove",
            "name" : "表格界面_删除操作",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "predefinedType" : "GRIDVIEW_REMOVEACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Remove",
            "uIActionType" : "DEUIACTION"
          },
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "buttonStyle" : "DANGER",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "detailType" : "DEUIACTION",
          "name" : "u61e08cb",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "buttonStyle" : "DANGER",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.EDIT"
            },
            "caption" : "编辑",
            "codeName" : "Edit",
            "fullCodeName" : "Edit",
            "name" : "表格界面_编辑操作",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "predefinedType" : "GRIDVIEW_EDITACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.EDIT"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Edit",
            "uIActionType" : "DEUIACTION"
          },
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ],
        "uniqueTag" : "Book__A183ed02abf5e2b3236"
      },
      "enableSort" : false
    }, {
      "dataItemName" : "dataitem",
      "itemType" : "ACTIONITEM",
      "name" : "dataitem",
      "getPSDEUIActionGroup" : {
        "codeName" : "Usr0123350661",
        "name" : "气泡打开视图界面行为组",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        },
        "getPSUIActionGroupDetails" : [ {
          "actionLevel" : 50,
          "caption" : "气泡打开",
          "detailType" : "DEUIACTION",
          "name" : "u67903cf",
          "getPSUIAction" : {
            "actionLevel" : 50,
            "actionTarget" : "NONE",
            "caption" : "气泡打开",
            "codeName" : "openPopover",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsrPopoverEditView.json",
              "viewType" : "DEEDITVIEW"
            },
            "frontProcessType" : "WIZARD",
            "fullCodeName" : "Book_openPopover",
            "name" : "气泡打开",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openPopover",
            "uIActionType" : "DEUIACTION",
            "id" : "openPopover@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "打开主数据视图",
          "detailType" : "DEUIACTION",
          "name" : "uf5bd897",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "caption" : "打开主数据视图",
            "codeName" : "open_main_view",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookGridView.json",
              "viewType" : "DEGRIDVIEW"
            },
            "frontProcessType" : "TOP",
            "fullCodeName" : "Book_open_main_view",
            "name" : "打开主数据视图",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "open_main_view",
            "uIActionType" : "DEUIACTION",
            "id" : "open_main_view@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "actionLevel" : 50,
          "caption" : "气泡打开视图",
          "detailType" : "DEUIACTION",
          "name" : "udd11136",
          "getPSUIAction" : {
            "actionLevel" : 50,
            "actionTarget" : "NONE",
            "caption" : "气泡打开视图",
            "codeName" : "openPopoverView",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookUsrPopoverEditView.json",
              "viewType" : "DEEDITVIEW"
            },
            "frontProcessType" : "WIZARD",
            "fullCodeName" : "Book_openPopoverView",
            "name" : "气泡打开视图b",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "openPopoverView",
            "uIActionType" : "DEUIACTION",
            "globalUIAction" : true,
            "id" : "openPopoverView@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "打开数据导出视图",
          "detailType" : "DEUIACTION",
          "name" : "u5cdc0a2",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "打开数据导出视图",
            "codeName" : "frontDataExp",
            "frontProcessType" : "DATAEXP",
            "fullCodeName" : "Book_frontDataExp",
            "name" : "打开数据导出视图",
            "getPSAppDEDataExport" : {
              "modelref" : true,
              "id" : "DataExport"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "frontDataExp",
            "uIActionType" : "DEUIACTION",
            "id" : "frontDataExp@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "打开HTML界面",
          "detailType" : "DEUIACTION",
          "name" : "u3685053",
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "打开HTML界面",
            "codeName" : "OpenHtml",
            "frontProcessType" : "OPENHTMLPAGE",
            "fullCodeName" : "Book_OpenHtml",
            "htmlPageUrl" : "https://www.baidu.com",
            "name" : "OpenHtml",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "OpenHtml",
            "uIActionType" : "DEUIACTION",
            "id" : "OpenHtml@Book"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ],
        "uniqueTag" : "Book__Usr0123350661"
      },
      "enableSort" : false
    }, {
      "dataItemName" : "fontcolor",
      "itemType" : "DATAITEM",
      "name" : "fontcolor",
      "enableSort" : false
    }, {
      "dataItemName" : "activecolor",
      "itemType" : "DATAITEM",
      "name" : "activecolor",
      "enableSort" : false
    }, {
      "dataItemName" : "hovercolor",
      "itemType" : "DATAITEM",
      "name" : "hovercolor",
      "enableSort" : false
    }, {
      "dataItemName" : "bgcolor",
      "itemType" : "DATAITEM",
      "name" : "bgcolor",
      "enableSort" : false
    }, {
      "caption" : "书名称",
      "dataItemName" : "bookname",
      "itemType" : "DATAITEM",
      "name" : "BOOKNAME",
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      },
      "enableSort" : false
    } ],
    "pagingMode" : 3,
    "pagingSize" : 10,
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "hasWFDataItems" : false,
    "appendDEItems" : true,
    "enableCardEdit" : false,
    "enableCardEditGroup" : false,
    "enableCardEditOrder" : false,
    "enableCardNew" : false,
    "enableGroup" : false,
    "enablePagingBar" : false,
    "noSort" : true,
    "singleSelect" : false,
    "name" : "dataview",
    "modelid" : "45D1AB64-196D-4A7E-9DA9-2E375850669E",
    "modeltype" : "PSDEDATAVIEW"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "caption" : "书",
    "codeName" : "DefaultDataViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "DefaultDataView",
  "getPSDEViewId" : "D7BF3275-30A9-4334-98B2-FC6674D2BF54",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEDATAVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "refFlag" : false,
  "title" : "数据视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEDATAVIEW",
  "xDataControlName" : "dataview",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "modelid" : "50CC99BE-6576-468C-AD11-A70DAF64D1D8",
  "modeltype" : "PSAPPDEVIEW"
}